/* Copyright (c) 1993-1996 Argonaut Technologies Limited. All rights reserved.
 *
 * $Id: SUPPORT.H 1.1 1996/09/12 14:01:23 NIKH Exp $
 * $Locker: $
 *
 * PS Generic test harness, common support functions
 */

#define SCREEN_WIDTH	320

#ifdef _NTSC
#define SCREEN_HEIGHT	240		/* NTSC screen depth */
#else
#define SCREEN_HEIGHT	256		/* PAL screen depth */
#endif

/*
 * root of sample actor hierarchy
 */
extern br_actor *root;

/*
 * sample camera
 */
extern br_actor *camera;

/*
 * sample light
 */
extern br_actor *light;

/*
 * generic functions for samples
 */
br_int_8 _GenericInitDevice(void);
br_int_8 _GenericTerminate(void);
br_int_8 _GenericLoopTest(void);
br_int_8 _GenericDoubleBuffer(void);

br_uint_32 BR_CALLBACK ActorEnumCbfn(br_actor *mat, void *arg);
